<?php
defined('IN_PHPCMS') or exit('No permission resources.'); 

$db = '';
#加载内容模型
$db = pc_base::load_model('content_model');
#重定义加载的表名
$db->table_name = 'v9_news';

#加载缓存中的栏目名称,注 category_content_站点ID
$CATEGORYS = getcache('category_content_1','commons');

$page=isset($_GET['page'])?intval($_GET['page']):1;
#判断传入的page是否存在

#查询表数据
$data = $db->select(
	'status=99 ORDER BY `id` DESC LIMIT '.($page-1)*10 .' , ' . 10 .' '#根据实际情况调整where语句
	,'id,catid,title,style,thumb,description,url,updatetime,inputtime,username' #需要调取的字段,如需要全部字段则删除本段
);

#定义数组容器
$array=array();
#遍历查询到的数组，注：如不需要对 图片、时间、栏目进行转换可跳过遍历直接将$data输出
foreach ($data as $key => $value) {
		$array[]=array(
			"id"=>$value['id'],
			"title"=>$value['title'],
			"style"=>$value['style'],
			"thumb"=>$value['thumb']?thumb($value['thumb'],520,160):"",
			"description"=>str_cut($value['description'],200),
			"url"=>$value['url'],
			"updatetime"=>date('m/d',$value['updatetime']),
			"inputtime"=>date('m/d',$value['inputtime']),
			"username"=>$value['username'],
			"catname"=>$CATEGORYS[$value['catid']]['catname']
		);
}


#将数组转换为json数据并输出
echo json_encode($array); 
?>
